Author Topic: The name game :: Object Snaps  (Read 6392 times)

0 Members and 1 Guest are viewing this topic.

CADaver

  • Guest
Re: The name game :: Object Snaps
« Reply #30 on: May 03, 2006, 10:49:27 PM »
OSNAP searches the area enclosed by the APERTURE, and will select the feature nearest the intersection of the crosshairs that satisfies the osnap condition.

Sdoman

  • Guest
Re: The name game :: Object Snaps
« Reply #31 on: May 03, 2006, 11:09:14 PM »
Many times when you want to Osnap to the INSertion point of a block that contains lots of attributes, AutoCAD will snap to the attribute insertion points instead of the blocks insertion point (they should have given text objects a unique osnap).  You can avoid this by preceding your INSertion osnap with a QUIck osnap. 

This can been done by typing at the command prompt QUI,INS using a comma to separate the osnaps.  Or it can also be done one snap at a time by using a toolbar or menu:  QUI<Enter>INS<Enter>.



[fixed typo]
[another typo <g> ]
« Last Edit: May 04, 2006, 08:17:56 AM by Steve Doman »

Bryco

  • Water Moccasin
  • Posts: 1883
Re: The name game :: Object Snaps
« Reply #32 on: May 04, 2006, 12:09:32 AM »
fro (from) can be used in conjunction w/ osnaps and while it does cool thangs it's too confusing to bother with (I hope it's only me that doesn't bother with it)

Shinyhead

  • Guest
Re: The name game :: Object Snaps
« Reply #33 on: May 04, 2006, 07:18:24 AM »
Well.... :-P

I use fro and o'snaps in macros to give me control of how a routine works without needing lisp, its actually very handy. But for general command line usage no, its kind of a pain. ;-)

Shinyhead

  • Guest
Re: The name game :: Object Snaps
« Reply #34 on: May 04, 2006, 07:19:41 AM »
Many times when you want to Osnap to the INSertion point of a block that contains lots of of attributes, AutoCAD will snap to the attribute insertion points instead of the blocks insertion point (they should have given text objects a unique osnap).  You can avoid this by preceding your INSertion osnap with a QUIck osnap. 

This can been down by typing at the command prompt QUI,INS using a comma to separate the osnaps.  Or it can also be done one snap at a time by using a toolbar or menu:  QUI<Enter>INS<Enter>.



[fixed typo]



That is something I am gonna have to play with, I have had issues with that of late.

Chuck Gabriel

  • Guest
Re: The name game :: Object Snaps
« Reply #35 on: May 04, 2006, 08:02:04 AM »
fro (from) can be used in conjunction w/ osnaps and while it does cool thangs it's too confusing to bother with (I hope it's only me that doesn't bother with it)

This little gem predates the addition of the "from" functionality, but I still prefer it.  I'm sorry to say I have no idea who the original author is.  I'm sure someone here probably knows, since I've seen this routine in use in more than one office.

Code: [Select]
;;; This is a useful routine for obtaining a relative point.
;;; It can be used whenever an AutoCAD command requests a point.
;;; Just enter "(ref)" in response to the "...point:" prompt, and
;;; enter the desired base (reference) point and the relative/polar
;;; offset from that point.

(defun ref ()
  (getpoint (getpoint "\nSelect base point. ")
    "\nEnter offset or drag direction and select distance: "
  )
)

SDETERS

  • Guest
Re: The name game :: Object Snaps
« Reply #36 on: May 04, 2006, 08:13:50 AM »
If you are a autocad user and do not use osnaps and have .001 or so gaps between all of your objects I am sure you would be drug out in the street and shot by the next person who works on your drawing!   :pissed:

Sdoman

  • Guest
Re: The name game :: Object Snaps
« Reply #37 on: May 04, 2006, 08:26:31 AM »
The QUIck osnap isn't listed on AutoCAD's menus any more, so I am sure a lot of users don't know about it or have forgotten about it.  It is used as a modifier to the osnap that follows it.   Another situation where QUIck is useful, is when osnaping to entities embedded in large Xrefs.

Bryco

  • Water Moccasin
  • Posts: 1883
Re: The name game :: Object Snaps
« Reply #38 on: May 04, 2006, 09:14:49 AM »
mtp or m2p is a new osnap-middle point between two points

CADaver

  • Guest
Re: The name game :: Object Snaps
« Reply #39 on: May 04, 2006, 05:56:39 PM »
fro (from) can be used in conjunction w/ osnaps and while it does cool thangs it's too confusing to bother with (I hope it's only me that doesn't bother with it)

This little gem predates the addition of the "from" functionality, but I still prefer it.  I'm sorry to say I have no idea who the original author is.  I'm sure someone here probably knows, since I've seen this routine in use in more than one office.

Code: [Select]
;;; This is a useful routine for obtaining a relative point.
;;; It can be used whenever an AutoCAD command requests a point.
;;; Just enter "(ref)" in response to the "...point:" prompt, and
;;; enter the desired base (reference) point and the relative/polar
;;; offset from that point.

(defun ref ()
  (getpoint (getpoint "\nSelect base point. ")
    "\nEnter offset or drag direction and select distance: "
  )
)

I wrote this in 1987:
Code: [Select]
(defun ro ()  (getpoint (getpoint "\nReference point: ") "\nOffset from reference: "))
Along with this APPINT workaround

Code: [Select]
(defun ip (/ line1 line2 list1 list2)
    (setq line1 (entsel "\nSelect first line: ")
  line2 (entsel "\nSelect second line: ")
  list1 (entget (car line1))
  list2 (entget (car line2))
    )
    (inters (cdr (assoc 10 list1)) (cdr (assoc 11 list1)) (cdr (assoc 10 list2)) (cdr (assoc 11 list2)) nil)
)

VerticalMojo

  • Guest
Re: The name game :: Object Snaps
« Reply #40 on: May 11, 2006, 12:49:35 PM »
Often a saying used when something comes at a shock or out of nowhere.

For example: O' snap! That guy just ran a red light!   

                                        or

                   O' snap! You just got dissed by that girl!

For more examples see the movie Zoolander.....